package cn.tsy.idsse.dsds.service.dict;

import java.time.LocalDateTime;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.hme.framework.web.exception.BusinessException;
import cn.hme.framework.web.helper.FrameAssertHelper;
import cn.tsy.data.idsse.dsds.mapper.dict.DictUnitSailMapper;
import cn.tsy.data.idsse.dsds.model.dict.DictUnitSail;

@Service
public class DictUnitSailService {

	@Autowired
	private DictUnitSailMapper mUnitSail;

	/***********************
	 * 增加或者修改
	 */
	public void editUnitSail(DictUnitSail sail) {
		FrameAssertHelper.isNotEmpty(sail.getUnit_name(), "参航单位名称不允许为空！");
		// 判断类型是否存在
		List<DictUnitSail> list = this.mUnitSail.selectListByColumn("unit_name", sail.getUnit_name());
		if (sail.getTsy_id() != null) {
			if (list.size() > 0 && list.get(0).getTsy_id() - sail.getTsy_id() != 0)
				throw new BusinessException("参航单位名称【" + sail.getUnit_name() + "】已经存在，请检查！");
			this.mUnitSail.update(sail);
		} else {
			FrameAssertHelper.isEmpty(list, "参航单位名称【" + sail.getUnit_name() + "】已经存在，请检查！");
			sail.setCreate_time(LocalDateTime.now());
			this.mUnitSail.insert(sail);
		}
	}

	/*****************************
	 * 删除，
	 */
	public void deleteUnitSail(int sail_id) {
		/**************
		 * @todo 需要去判断是否真的可以删除
		 */
		this.mUnitSail.deleteByKey(sail_id);
	}
}
